## duke3d 1.5.8-0maemo4

=== debian/changelog ===
duke3d (1.5.8-0maemo4) diablo; urgency=low

  * Prepared for extras, added proximity sensor/accelerometer menu items, optified

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 16:22:28 +0000

duke3d (1.5.8-0maemo3) diablo; urgency=low

  * Accelerometer controls, shift-backspace works as esc

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 01:55:36 +0000

duke3d (1.5.8-0maemo2) diablo; urgency=low

  * Add help message for duke3dsw firstrun
  * Change duke3dsw .cfg to same as in duke3d

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 16 Oct 2008 22:44:02 +0300

duke3d (1.5.8-0maemo1) diablo; urgency=low

  * Build both CD and shareware versions

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 14 Oct 2008 18:30:46 +0300

duke3d (1.5.8-0maemo0) diablo; urgency=low

  * Initial release

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 14 Oct 2008 18:30:46 +0300
