=== debian/control ===
Source: duke3d
Section: user/games
Priority: extra
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libxsp-dev, sharutils, quilt, maemo-optify
Standards-Version: 3.7.2
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gDBQ8uESgs0OMAAAhASURBVEjHhZZbbBz1Fca//1z3MrszO7u2145v
 8YW4ATdgtyUKqFECKVVRQitxfQC10ESoURCkF8pLywN9KG1ViFCg0CoUFyEQ
 JcQUiKOmMcY2icGxY8jaie31ru3dtdf2XmZ2dnZ2bn1okdJyO49HR9/v4ZxP
 5yP4kjpx4oRnc1tbV0iSbvXxZIdr6V0gVoNju6BoJkOxvku6QT7I5XJvx+Px
 2G233aZ/kRb5vGZfXx/X0dFxc2tL0yG7lNi1Nj/CK5lPIItFlLUNCB4GrDeI
 cjkIWuhCpHNnlQQ2vz87n3xmOhZ798CBA8ZXgo4dOxZpbGr5Y6NcuT3/8Rse
 beUj1IgWwnU6Qq1hwI4AxIG+ngaqFoo5E6mcD1n7amzefqeRqwTeSi7ED+3f
 v3/lC0FHjx5t37Qp+qa/NHZNLjOE7qYqKDcLxZBQ4reA9XIoay7MKgXRY8O0
 bJjKIraE00hnXCRSIpq334oVt/dyoVj6/gMP3D/9GdCRI0831dRG+pnMu9fm
 3Rm0t0jIJWx4gm3oatEQ8sbBcApcl0HV4EDbGgzVgWq348JCGMRZRk+7iqIC
 XEx3wW28ebqk6vsOHjw4BwA0ADzxxBO8zycekZ3JPdHVUcIGeZwe0fDXk1ps
 PpkK7d0VpPziBmABLiODEzhQHgaEpQDC4s9vpZ1X/1VaWCsjFPWzCDEpFEqo
 MZj6luu/9c3+wcFBkz58+DACgeAPIoHSr+TcGVp0Xbw8rDlDF6m/NTe33nXx
 UrqjJhy4ur0OoFkHhFRhw4KtVmAZFN6bkvBif3q0ubl5T2xOFwqG2fOdnXWU
 xBZRNEOdis7M9/b0TFKCIPgpmvycpEbYEDS8m6VwZhono9HoT/r7+3OSJP3y
 xROp/NxGBMQrwnZccIIfhLBILIs48sqiKorBg6dOnVqrra09fPpc+fWBibJb
 HykgVB6nWcb9meM4IqXrlV7Oyfe2GJewElfx2vuKIofERwcGBkoAwPP8wkbe
 /N1r72RhWAIcNwJDF2EytXj1rO0WSvitIASmAGBgYKAiicJjf3l9daNQ4rDJ
 uwgvpWytVs0bGRdkL5Q4HRK9+LDogV4p9a9mFz/59EhGR0fdnp6eP535YOOO
 dcW6NpfnTAIDPr/OXp4tjYii+MzQ0JD76fzk5ORCe3vHK28OmYduuU5EuLBE
 LruRfZSuF69v8KiA5iKWYxAOh9/IZDL/463z58/nZDn6+K6bfhx//tnnSn0v
 PV++866fXmpubnvs3Llzxf/3YigU+vv0CgU1r0JidFR0bTvjWOhwlFWY3gr8
 4Wtwzw031j3++K/3RSIRhEIyeJ6DruvuxOTUVVsaKk0bIw9yRlTG9m23C/yB
 B2966qmnQl6vl1iWhUKhgEw6g0QyIY0OveMGnIvELKXg4aPNjGWbkZlMEbW1
 HnTUcaj3Zo9SqoqywcNM0fB4GVxcNpyhsWTB3z3PtUYAoltYnnidGfyw4yEl
 NyNc2yKwLusCsCEyFYhUDj1tPmITCrStg1Cmn1GUkkpbrPxRSsXX2AVw5gy5
 qmRDMQl4ioD1EBi5btrQSWVkuuBu3SsRxjFw9qOSu5hYqly9uRSqMWaJkdbB
 swR8xAsfWwUhFNiAiMWYhpxWqtL19dE72gJoaDCL4KMSrhF18PU0fCIFulAF
 72Ph0gQ37juEEydjGyeHk8w7o5qTzNevPfqLR/wN1LAnWM6iWjBQqP5nR9m0
 hrUiD4EysGqEMZ40EpReqU5YZRo+zgPdocDoBuxlDVZWh8PRcBkKUWMRY28+
 GZTlcCKRJtsNuvGe3bt3BapzfaKoJGCrVVCODY4CilUKAu9CDACKa2M+a0It
 lydoWZYZj99/p728RMKig3IwghqPBjPngPEALk0wGSd4+u2smkimDtA0fc62
 7fl/nh7sCge0r18X1GF6WXgpgJM4+IiFXNqBZtgoZcsYXQ1iZb30ewqu+96l
 VTU+ZwWRiuVhcALUKoHhpUBcGwtTKvpGTKdYcp4TBOG98fFxDA8PmwHB95vX
 BguZ0WkbpGKjolRh6hbgWIhbUazEs5jJichs6GnXdQYoURTzFd14thKscZcM
 GisfXsJUthGrGocC7cEnlowLS8bHckh6cnR01PnUK7Isz+i6/czxWdYpay5s
 3YYHNi4kIuhwM5AjIhJlHwpK+QWO41bpZDKJzs7OmdWS8e3mmkCTtqagUaZR
 CTRBy2p4+rRe5Tj/vWNjY7ErTbmwsIAtW7ZMzS7mv1t1mPoWXsdssR7tVB7Z
 VB6n0iFMpIyJkCQ9dPbsWY0GgKWlpUpnR8d4UsPeSIANbg0quKqxivNqE265
 45D68MOPTN53331rO3bsKG/bts0ZHBxEY2Mjs3///nB7W3vrwnr5GzLjJ93B
 NSSSObw068Ws7s/SFHPv8PDw5c982D179txiVSsvtzJqeGdXBRxtgYpuRW3n
 Plds37bS1Nwap0AWAeKAoGl5ebEtH7+w6fKpF0mPbwlLaxZeXRSQcUJFimJ+
 NDg4ePxzX3lvby/qGxquV4rFYyHe7trXXCY7bzBh6Q6mxhysWx6sU0HQAGQz
 hxreQEvIxLriYFIXcDYbdPMmF5ck6f65ubmhWCz25Sno7rvvDhUKhUdM2/mh
 CL3xOlkljWwZmyQXdQyQyhlgfQxSG8B4jkGaqXOLjidDQPoEwf+H48ePr31V
 CqIAsAA8ADzd3d3tkiR9TwgEd1um0eZlIEsemi2bNqoOMXULeZ73zivFwhlV
 Vf8xMTFxGUAFgAHA+jIQuQLGAeABeDiO87e2tsperzdgWZYPAGEYRjNNU5mf
 n98wDKN0BcD8L8S5UvjflS0TZuZ+jrcAAAAASUVORK5CYII=

Package: duke3dsw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data, maemo-optify
Description: Duke Nukem 3D (v1.5 Shareware version)
 Duke Nukem 3D is a first-person shooter computer game originally developed
 by 3D Realms and published by Apogee Software.
 .
 This is GPL'ed version of game engine and 3D Realms or Apogee Software
 have nothing to do with it.
 .
 This version includes shareware levels
XB-Maemo-Display-Name: Duke Nukem 3D Shareware

Package: duke3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Duke Nukem 3D (v1.5 CD version)
 Duke Nukem 3D is a first-person shooter computer game originally developed
 by 3D Realms and published by Apogee Software. 
 .
 This is GPL'ed version of game engine and 3D Realms or Apogee Software
 have nothing to do with it.
 .
 This version requires levels from CD version of the game.
XB-Maemo-Display-Name: Duke Nukem 3D CD Version
