## duke3d 1.5.8-0maemo5

=== debian/changelog ===
duke3d (1.5.8-0maemo5) diablo; urgency=low

  * Fixed shareware version

 -- Janne Makinen <janne.makinen@surffi.fi>  Sun, 27 Dec 2009 19:52:56 +0000
