=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 Package: duke3dsw
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data, maemo-optify
+Depends: ${shlibs:Depends}, ${misc:Depends},duke3dsw-data
 Description: Duke Nukem 3D (v1.5 Shareware version)
  Duke Nukem 3D is a first-person shooter computer game originally developed
  by 3D Realms and published by Apogee Software.
