=== debian/changelog ===
duke3d (1.5.8-0maemo6) diablo; urgency=low

  * Fixed save game, added an ability to calibrate accelerometers, switch to us layout when game starts

 -- Janne Makinen <janne.makinen@surffi.fi>  Wed, 30 Dec 2009 11:24:36 +0000
