=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
-Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libxsp-dev, sharutils, quilt, maemo-optify
+Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libosso-dev, libxsp-dev, sharutils, quilt, maemo-optify
 Standards-Version: 3.7.2
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
