=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/quilt/quilt.make


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: patch build-stamp

build-cd: patch
	dh_testdir
	cp -a source build-cd
	cd build-cd && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=false

build-sw: patch
	dh_testdir
	cp -a source build-sw
	cd build-sw && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=true

build-stamp: configure-stamp build-sw build-cd
	dh_testdir

	# Add here commands to compile the package.
	#cd source && EXTRACFLAGS="${CFLAGS}" $(MAKE) maemo=true shareware=true
	#docbook-to-man debian/duke3d.sgml > duke3d.1

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#cd source && $(MAKE) clean
	rm -rf build-cd build-sw

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/duke3d.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/duke3dsw install
	cp build-sw/duke3d $(CURDIR)/debian/duke3dsw/usr/bin/duke3dswbin
	cp build-cd/duke3d $(CURDIR)/debian/duke3d/usr/bin/duke3dbin
	cp debian/duke3dsw.sh $(CURDIR)/debian/duke3dsw/usr/bin/duke3dsw
	cp debian/duke3d.sh $(CURDIR)/debian/duke3d/usr/bin/duke3d
	uudecode debian/duke3dsw.png.en -o $(CURDIR)/debian/duke3dsw/usr/share/icons/hicolor/scalable/apps/duke3dsw.png
	uudecode debian/duke3dsw.png.en -o $(CURDIR)/debian/duke3d/usr/share/icons/hicolor/scalable/apps/duke3d.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure build-cd build-sw
