## duke3d 1.5.8-0maemo7

=== debian/changelog ===
duke3d (1.5.8-0maemo7) diablo; urgency=low

  * Fixed a crash bug, make game pause and stop screen updates when window loses focus

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri, 22 Jan 2010 11:22:59 +0000
